> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1alpha1/transfers
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1alpha1/transfers:
    get:
      tags:
        - nebius.storage.v1alpha1.TransferService
      summary: List
      operationId: TransferService_List
      parameters:
        - description: Represents the container ID.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: >-
            Specifies the maximum number of items to return in the response.
            Default: 10.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            Token for pagination, allowing the retrieval of the next set of
            results.
          in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/storageV1alpha1ListTransfersResponse'
          description: A successful response.
components:
  schemas:
    storageV1alpha1ListTransfersResponse:
      properties:
        items:
          description: List of transfers returned in the response.
          items:
            $ref: '#/components/schemas/storageV1alpha1Transfer'
          type: array
        nextPageToken:
          description: >-
            Token for pagination, indicating the next set of results can be
            retrieved using this token.
          type: string
      type: object
    storageV1alpha1Transfer:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/storageV1alpha1TransferSpec'
        status:
          $ref: '#/components/schemas/storageV1alpha1TransferStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    storageV1alpha1TransferSpec:
      properties:
        afterNEmptyIterations:
          $ref: >-
            #/components/schemas/storageV1alpha1TransferSpecStopConditionAfterNEmptyIterations
        afterOneIteration:
          $ref: >-
            #/components/schemas/storageV1alpha1TransferSpecStopConditionAfterOneIteration
        destination:
          $ref: '#/components/schemas/TransferSpecDestinationBucket'
        infinite:
          $ref: >-
            #/components/schemas/storageV1alpha1TransferSpecStopConditionInfinite
        interIterationInterval:
          description: >-
            Time to wait between transfer iterations. Default is 15 minutes if
            not specified.
          type: string
        overwriteStrategy:
          $ref: '#/components/schemas/storageV1alpha1TransferSpecOverwriteStrategy'
        source:
          $ref: '#/components/schemas/TransferSpecSourceBucket'
      required:
        - source
        - destination
        - overwriteStrategy
      type: object
    storageV1alpha1TransferStatus:
      properties:
        error:
          description: Error information if the transfer has failed.
          type: string
        lastIteration:
          $ref: '#/components/schemas/storageV1alpha1TransferIteration'
        state:
          $ref: '#/components/schemas/storageV1alpha1TransferStatusState'
        suspensionState:
          $ref: '#/components/schemas/storageV1alpha1TransferStatusSuspensionState'
      type: object
    storageV1alpha1TransferSpecStopConditionAfterNEmptyIterations:
      properties:
        emptyIterationsThreshold:
          description: >-
            Number of consecutive iterations with zero transferred objects
            required to stop transfer.
          format: int64
          type: integer
      required:
        - emptyIterationsThreshold
      type: object
    storageV1alpha1TransferSpecStopConditionAfterOneIteration:
      type: object
    TransferSpecDestinationBucket:
      properties:
        bucketName:
          type: string
        credentials:
          $ref: '#/components/schemas/TransferSpecBucketCredentials'
        endpoint:
          title: >-
            The endpoint must be in the form of a URL, starting with the
            protocol (https),

            followed by the endpoint address without a trailing slash.

            Example: https://storage.us-central1.nebius.cloud
          type: string
        prefix:
          description: >-
            Prefix to add to the beginning of each transferred object key in the
            destination bucket.

            During transfer, the resulting object key in the destination bucket
            is computed

            by removing source.prefix (if provided) from the original key and
            then prepending destination.prefix.

            Important: This transformation may result in an empty object key or
            one that exceeds allowed length limits.

            Use prefixes that guarantee valid resulting object keys for your
            objects after transformation.
          type: string
        region:
          type: string
      required:
        - bucketName
      type: object
    storageV1alpha1TransferSpecStopConditionInfinite:
      type: object
    storageV1alpha1TransferSpecOverwriteStrategy:
      default: OVERWRITE_STRATEGY_UNSPECIFIED
      description: |2-
         - NEVER: Never overwrite objects that exist in the destination.
        If object exists in destination bucket, skip it.
        Safest option to prevent data loss.
         - IF_NEWER: Overwrite only if source object is newer than destination.
        Comparison based on Last-Modified timestamp.
        Recommended for incremental sync scenarios.
         - ALWAYS: Always overwrite destination objects unconditionally.
        Use with caution - may cause data loss in destination.
        Suitable for full bucket synchronization.
      enum:
        - OVERWRITE_STRATEGY_UNSPECIFIED
        - NEVER
        - IF_NEWER
        - ALWAYS
      type: string
    TransferSpecSourceBucket:
      properties:
        bucketName:
          type: string
        credentials:
          $ref: '#/components/schemas/TransferSpecBucketCredentials'
        endpoint:
          title: >-
            The endpoint must be in the form of a URL, starting with the
            protocol (https),

            followed by the endpoint address without a trailing slash.

            Example: https://storage.us-central1.nebius.cloud
          type: string
        limiters:
          $ref: '#/components/schemas/storageV1alpha1TransferSpecLimiters'
        prefix:
          description: >-
            Prefix to filter objects in the source bucket. Only objects whose
            keys start with this prefix will be transferred.

            During transfer, the resulting object key in the destination bucket
            is computed

            by removing source.prefix from the original key and then prepending
            destination.prefix (if provided).

            Important: This transformation may result in an empty object key or
            one that exceeds allowed length limits.

            Use prefixes that guarantee valid resulting object keys for your
            objects after transformation.
          type: string
        region:
          type: string
      required:
        - endpoint
        - bucketName
        - region
      type: object
    storageV1alpha1TransferIteration:
      properties:
        averageThroughputBytes:
          format: int64
          type: string
        endTime:
          format: date-time
          type: string
        error:
          description: Human-readable error description. Populated only if state is FAILED.
          type: string
        objectsDiscoveredCount:
          format: int64
          type: string
        objectsMigratedCount:
          format: int64
          type: string
        objectsMigratedSize:
          format: int64
          type: string
        objectsSkippedCount:
          format: int64
          type: string
        sequenceNumber:
          format: int64
          type: string
        startTime:
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/storageV1alpha1TransferIterationState'
      type: object
    storageV1alpha1TransferStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - STOPPING
        - STOPPED
        - FAILING
        - FAILED
      type: string
    storageV1alpha1TransferStatusSuspensionState:
      default: SUSPENSION_STATE_UNSPECIFIED
      enum:
        - SUSPENSION_STATE_UNSPECIFIED
        - NOT_SUSPENDED
        - SUSPENDED
      type: string
    TransferSpecBucketCredentials:
      properties:
        accessKey:
          $ref: '#/components/schemas/BucketCredentialsCredentialsAccessKey'
        anonymous:
          $ref: '#/components/schemas/BucketCredentialsCredentialsAnonymous'
        azureAccessKey:
          $ref: '#/components/schemas/BucketCredentialsAzureAccessKey'
      type: object
    storageV1alpha1TransferSpecLimiters:
      properties:
        bandwidthBytesPerSecond:
          description: >-
            Maximum bandwidth in bytes per second. If set to zero, default limit
            will be applied.
          format: uint64
          type: string
        requestsPerSecond:
          description: >-
            Maximum number of requests per second. If set to zero, default limit
            will be applied.
          format: uint64
          type: string
      type: object
    storageV1alpha1TransferIterationState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - IN_PROGRESS
        - COMPLETED
        - STOPPED
        - FAILED
      type: string
    BucketCredentialsCredentialsAccessKey:
      properties:
        accessKeyId:
          type: string
        secretAccessKey:
          type: string
      required:
        - accessKeyId
        - secretAccessKey
      type: object
    BucketCredentialsCredentialsAnonymous:
      type: object
    BucketCredentialsAzureAccessKey:
      properties:
        accessKey:
          type: string
        accountName:
          type: string
      required:
        - accountName
        - accessKey
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````